Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class SimpleReportTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.bea.p13n.taglib.util.SimpleReportTag

Deprecated. Tag will not be available in future versions. Do all database access in the server layer.

public class SimpleReportTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Tag extension to create a 2-d array out of a simple query.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SimpleReportTag()` Deprecated.

Method Summary
`int` | `doAfterBody()` Deprecated. Pushes output to the JSP page from the buffered `BodyContent`.
`int` | `doStartTag()` Deprecated. Called when the tag starts.
`java.lang.String` | `getId()` Deprecated. Get the value of id.
`java.sql.ResultSet` | `getResultSet()` Deprecated. Get the value of resultSetName.
`void` | `setId(java.lang.String newID)` Deprecated. Set the value of id.
`void` | `setResultSet(java.sql.ResultSet newRSN)` Deprecated. Set the value of resultSetName.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleReportTag

    public SimpleReportTag()

  Deprecated.

Method Detail

### setId

    public void setId(java.lang.String newID)

  Deprecated.
  Set the value of id.

  Parameters:
    `theId` - Value to assign to id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Deprecated.
  Get the value of id.

  Returns:
    Value of id.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setResultSet

    public void setResultSet(java.sql.ResultSet newRSN)

  Deprecated.
  Set the value of resultSetName.

  Parameters:
    `newRSN` - Value to assign to resultSetName.

### getResultSet

    public java.sql.ResultSet getResultSet()

  Deprecated.
  Get the value of resultSetName.

  Returns:
    Value of resultSetName.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated.
  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Deprecated.
  Pushes output to the JSP page from the buffered `BodyContent`.

  Returns:
    a value telling the JSP engine we are done evaluating the body and no more iterations are necessary.
  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved